<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b2cb5429-aedc-4ee6-9f85-3a65dc6421a9" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/lib/models/LoginModel.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileBloc.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileBloc.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileEditEvent.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileEditEvent.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileState.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileState.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/blocs/authentication/authentication_bloc.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/blocs/authentication/authentication_bloc.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/blocs/login/login_bloc.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/blocs/login/login_bloc.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/constants/EndPointPath.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/constants/EndPointPath.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/models/UserInfoModel.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/models/UserInfoModel.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/repositories/AuthProfileRepository.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/repositories/AuthProfileRepository.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/repositories/userRepository.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/repositories/userRepository.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditAddressScreen.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditAddressScreen.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditContactScreen.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditContactScreen.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditProfileScreen.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditProfileScreen.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubAdressScreen.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubAdressScreen.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubContactScreen.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubContactScreen.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubProfileScreen.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubProfileScreen.dart" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/lib/utilities/sharedPreferences/authPreferences.dart" beforeDir="false" afterPath="$PROJECT_DIR$/lib/utilities/sharedPreferences/authPreferences.dart" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="Nexus_7_2012_API_28" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/screens/account/ProfileScreen.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="229">
              <caret line="879" column="35" selection-start-line="879" selection-start-column="35" selection-end-line="879" selection-end-column="35" />
              <folding>
                <element signature="e#0#17#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileEditEvent.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="105">
              <caret line="9" column="12" selection-start-line="9" selection-start-column="12" selection-end-line="9" selection-end-column="12" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/screens/account/submenuprofile/SubProfileScreen.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2670">
              <caret line="178" column="44" selection-start-line="178" selection-start-column="44" selection-end-line="178" selection-end-column="44" />
              <folding>
                <element signature="e#0#39#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditProfileScreen.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="5040">
              <caret line="336" column="33" selection-start-line="336" selection-start-column="33" selection-end-line="336" selection-end-column="33" />
              <folding>
                <element signature="e#0#39#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/screens/account/submenuprofile/SubContactScreen.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="163">
              <caret line="173" column="28" selection-start-line="173" selection-start-column="28" selection-end-line="173" selection-end-column="28" />
              <folding>
                <element signature="e#0#39#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditContactScreen.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="5370">
              <caret line="358" column="33" selection-start-line="358" selection-start-column="33" selection-end-line="358" selection-end-column="33" />
              <folding>
                <element signature="e#0#39#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/screens/account/submenuprofile/SubAdressScreen.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="163">
              <caret line="176" column="27" selection-start-line="176" selection-start-column="27" selection-end-line="176" selection-end-column="27" />
              <folding>
                <element signature="e#0#39#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditAddressScreen.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="204">
              <caret line="381" column="33" selection-start-line="381" selection-start-column="33" selection-end-line="381" selection-end-column="33" />
              <folding>
                <element signature="e#0#39#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileEditBloc.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="291">
              <caret line="22" column="44" selection-start-line="22" selection-start-column="44" selection-end-line="22" selection-end-column="44" />
              <folding>
                <element signature="e#0#20#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/lib/repositories/AuthProfileRepository.dart">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="387">
              <caret line="128" column="44" lean-forward="true" selection-start-line="128" selection-start-column="44" selection-end-line="128" selection-end-column="44" />
              <folding>
                <element signature="e#0#22#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>user</find>
      <find>comment</find>
      <find>flutter_datetime_picker</find>
      <find>intl</find>
      <find>unix</find>
      <find>not</find>
      <find>blue</find>
      <find>Custom</find>
      <find>contact</find>
      <find>errorEmptyUsername</find>
      <find>form</find>
      <find>edit</find>
      <find>dialog</find>
      <find>static String useGoogleAccount = 'Gunakan akun Google';</find>
      <find>other</find>
      <find>route</find>
      <find>navigat</find>
      <find>png</find>
      <find>appbar</find>
      <find>log</find>
      <find>button</find>
      <find>logout</find>
      <find>Logout</find>
      <find>delete</find>
      <find>Unauthenticated</find>
      <find>_buildButtonProfile</find>
      <find>confirmPasswordValidation</find>
      <find>_isLoaded</find>
      <find>_debounce</find>
      <find>cek sound sini masuk gask 2</find>
    </findStrings>
    <dirStrings>
      <dir>$PROJECT_DIR$</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/lib/components/Skeleton.dart" />
        <option value="$PROJECT_DIR$/lib/utilities/FormatDate.dart" />
        <option value="$PROJECT_DIR$/lib/components/DialogRequestPermission.dart" />
        <option value="$PROJECT_DIR$/lib/utilities/ImagePickerHelper.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/rw_activities/rw_activity_comment/rw_activity_comment_add/RWActivityCommentAddBloc.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/rw_activities/rw_activity_comment/rw_activity_comment_add/RWActivityCommentAddState.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/rw_activities/rw_activity_comment/rw_activity_comment_list/RWActivityCommentListBloc.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/rw_activities/rw_activity_comment/rw_activity_comment_list/RWActivityCommentListState.dart" />
        <option value="$PROJECT_DIR$/lib/screens/rwActivities/RWActivityDetailComments.dart" />
        <option value="$PROJECT_DIR$/lib/components/HeroImagePreviewScreen.dart" />
        <option value="$PROJECT_DIR$/lib/screens/rwActivities/RWActivityDetailScreen.dart" />
        <option value="$PROJECT_DIR$/lib/repositories/RWActivityRepository.dart" />
        <option value="$PROJECT_DIR$/android/build.gradle" />
        <option value="$PROJECT_DIR$/lib/components/CustomAppBar.dart" />
        <option value="$PROJECT_DIR$/lib/repositories/AuthProfileRepository.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileEditBloc.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileEditEvent.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileBloc.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/account_profile/AccountProfileState.dart" />
        <option value="$PROJECT_DIR$/lib/constants/UrlThirdParty.dart" />
        <option value="$PROJECT_DIR$/lib/constants/Navigation.dart" />
        <option value="$PROJECT_DIR$/lib/constants/Colors.dart" />
        <option value="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubProfileScreen.dart" />
        <option value="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubContactScreen.dart" />
        <option value="$PROJECT_DIR$/lib/screens/account/submenuprofile/SubAdressScreen.dart" />
        <option value="$PROJECT_DIR$/lib/repositories/EducationRepository.dart" />
        <option value="$PROJECT_DIR$/lib/repositories/JobRepository.dart" />
        <option value="$PROJECT_DIR$/pubspec.yaml" />
        <option value="$PROJECT_DIR$/lib/repositories/GeocoderRepository.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/geocoder/GeocoderBloc.dart" />
        <option value="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditAddressScreen.dart" />
        <option value="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditContactScreen.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/educations_list/EducationsListBloc.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/educations_list/EducationsListState.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/jobs_list/JobListBloc.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/jobs_list/JobListState.dart" />
        <option value="$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditProfileScreen.dart" />
        <option value="$PROJECT_DIR$/lib/components/LocationPicker.dart" />
        <option value="$PROJECT_DIR$/lib/screens/home/homeScreen.dart" />
        <option value="$PROJECT_DIR$/lib/screens/account/ProfileScreen.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/authentication/authentication_bloc.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/change_password/ChangePasswordBloc.dart" />
        <option value="$PROJECT_DIR$/lib/configs/Routes.dart" />
        <option value="$PROJECT_DIR$/lib/screens/changePassword/ChangePasswordScreen.dart" />
        <option value="$PROJECT_DIR$/lib/utilities/validations/EditValidation.dart" />
        <option value="$PROJECT_DIR$/lib/constants/Dictionary.dart" />
        <option value="$PROJECT_DIR$/lib/environment/Environment.dart" />
        <option value="$PROJECT_DIR$/lib/blocs/authentication/authentication_state.dart" />
        <option value="$PROJECT_DIR$/lib/utilities/sharedPreferences/authPreferences.dart" />
        <option value="$PROJECT_DIR$/lib/repositories/userRepository.dart" />
        <option value="$PROJECT_DIR$/lib/screens/rwActivities/RWActivityListScreen.dart" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds">
    <option name="y" value="23" />
    <option name="width" value="1344" />
    <option name="height" value="822" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
              <item name="assets" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
              <item name="lib" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
              <item name="lib" type="462c0819:PsiDirectoryNode" />
              <item name="models" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
              <item name="lib" type="462c0819:PsiDirectoryNode" />
              <item name="repositories" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
              <item name="lib" type="462c0819:PsiDirectoryNode" />
              <item name="screens" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
              <item name="lib" type="462c0819:PsiDirectoryNode" />
              <item name="screens" type="462c0819:PsiDirectoryNode" />
              <item name="account" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
              <item name="lib" type="462c0819:PsiDirectoryNode" />
              <item name="screens" type="462c0819:PsiDirectoryNode" />
              <item name="account" type="462c0819:PsiDirectoryNode" />
              <item name="subeditprofile" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="sapawarga-flutter-executive" type="b2602c69:ProjectViewProjectNode" />
              <item name="sapawarga-flutter-executive" type="462c0819:PsiDirectoryNode" />
              <item name="lib" type="462c0819:PsiDirectoryNode" />
              <item name="screens" type="462c0819:PsiDirectoryNode" />
              <item name="account" type="462c0819:PsiDirectoryNode" />
              <item name="submenuprofile" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="ASKED_SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="dart.analysis.tool.window.force.activate" value="false" />
    <property name="io.flutter.reload.alreadyRun" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="settings.editor.selected.configurable" value="dart.settings" />
    <property name="show.migrate.to.gradle.popup" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/assets/images" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/lib/components" />
      <recent name="$PROJECT_DIR$/lib/blocs" />
      <recent name="$PROJECT_DIR$/lib/screens" />
      <recent name="$PROJECT_DIR$/assets/images/icons" />
      <recent name="$PROJECT_DIR$/lib/repositories" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="main.dart" type="FlutterRunConfigurationType" factoryName="Flutter" singleton="false">
      <option name="filePath" value="$PROJECT_DIR$/lib/main.dart" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b2cb5429-aedc-4ee6-9f85-3a65dc6421a9" name="Default Changelist" comment="" />
      <created>1574826518694</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1574826518694</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1344" height="822" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Captures" order="0" weight="0.25" />
      <window_info active="true" content_ui="combo" id="Project" order="1" visible="true" weight="0.38786483" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Designer" order="4" />
      <window_info id="Resources Explorer" order="5" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Dart Analysis" order="0" weight="0.3739726" />
      <window_info anchor="bottom" id="Run" order="1" visible="true" weight="0.22739726" />
      <window_info anchor="bottom" id="TODO" order="2" weight="0.32876712" />
      <window_info anchor="bottom" id="Debug" order="3" />
      <window_info anchor="bottom" id="Terminal" order="4" weight="0.52465755" />
      <window_info anchor="bottom" id="Event Log" order="5" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Messages" order="8" weight="0.33013698" />
      <window_info anchor="bottom" id="Find" order="9" weight="0.32876712" />
      <window_info anchor="right" id="Capture Analysis" order="0" />
      <window_info anchor="right" id="Theme Preview" order="1" />
      <window_info anchor="right" id="Flutter Inspector" order="2" />
      <window_info anchor="right" id="Flutter Outline" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
    </layout>
    <layout-to-restore>
      <window_info id="Captures" order="0" weight="0.25" />
      <window_info content_ui="combo" id="Project" order="1" visible="true" weight="0.38172042" />
      <window_info id="Structure" order="2" side_tool="true" />
      <window_info id="Image Layers" order="3" />
      <window_info id="Designer" order="4" />
      <window_info id="Resources Explorer" order="5" />
      <window_info id="Capture Tool" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info anchor="bottom" id="Dart Analysis" order="0" weight="0.6369863" />
      <window_info active="true" anchor="bottom" id="Run" order="1" visible="true" weight="0.29863015" />
      <window_info anchor="bottom" id="TODO" order="2" weight="0.32876712" />
      <window_info anchor="bottom" id="Debug" order="3" />
      <window_info anchor="bottom" id="Terminal" order="4" weight="0.30273974" />
      <window_info anchor="bottom" id="Event Log" order="5" side_tool="true" />
      <window_info anchor="bottom" id="Flutter Performance" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="7" />
      <window_info anchor="bottom" id="Messages" order="8" weight="0.1890411" />
      <window_info anchor="bottom" id="Find" order="9" weight="0.32876712" />
      <window_info anchor="right" id="Capture Analysis" order="0" />
      <window_info anchor="right" id="Theme Preview" order="1" />
      <window_info anchor="right" id="Flutter Inspector" order="2" />
      <window_info anchor="right" id="Flutter Outline" order="3" />
      <window_info anchor="right" id="Palette&#9;" order="4" />
    </layout-to-restore>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/lib/enum/ChangePasswordType.dart">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/constants/Colors.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="43" selection-start-line="7" selection-start-column="43" selection-end-line="7" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/components/BuildTextField.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-225" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/account/submenuprofile/SubProfileScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2670">
          <caret line="178" column="44" selection-start-line="178" selection-start-column="44" selection-end-line="178" selection-end-column="44" />
          <folding>
            <element signature="e#0#39#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/account/submenuprofile/SubContactScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="163">
          <caret line="173" column="28" selection-start-line="173" selection-start-column="28" selection-end-line="173" selection-end-column="28" />
          <folding>
            <element signature="e#0#39#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/account/submenuprofile/SubAdressScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="163">
          <caret line="176" column="27" selection-start-line="176" selection-start-column="27" selection-end-line="176" selection-end-column="27" />
          <folding>
            <element signature="e#0#39#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/models/GeneralTitleModel.dart">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/repositories/AttachmentRepository.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#22#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/repositories/EducationRepository.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="480">
          <caret line="32" column="32" selection-start-line="32" selection-start-column="32" selection-end-line="32" selection-end-column="32" />
          <folding>
            <element signature="e#0#22#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/repositories/JobRepository.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="480">
          <caret line="32" column="32" selection-start-line="32" selection-start-column="32" selection-end-line="32" selection-end-column="32" />
          <folding>
            <element signature="e#0#22#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/geocoder/Bloc.dart">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/repositories/GeocoderRepository.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="330">
          <caret line="22" column="32" selection-start-line="22" selection-start-column="32" selection-end-line="22" selection-end-column="32" />
          <folding>
            <element signature="e#1#41#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/geocoder/GeocoderBloc.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="402">
          <caret line="59" column="52" selection-start-line="59" selection-start-column="52" selection-end-line="59" selection-end-column="52" />
          <folding>
            <element signature="e#0#20#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditContactScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5370">
          <caret line="358" column="33" selection-start-line="358" selection-start-column="33" selection-end-line="358" selection-end-column="33" />
          <folding>
            <element signature="e#0#39#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/educations_list/Bloc.dart">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/educations_list/EducationsListBloc.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="495">
          <caret line="33" column="34" selection-start-line="33" selection-start-column="34" selection-end-line="33" selection-end-column="34" />
          <folding>
            <element signature="e#0#20#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/educations_list/EducationsListState.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="117">
          <caret line="26" column="30" selection-start-line="26" selection-start-column="30" selection-end-line="26" selection-end-column="30" />
          <folding>
            <element signature="e#0#42#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/jobs_list/JobListBloc.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="402">
          <caret line="29" column="34" selection-start-line="29" selection-start-column="34" selection-end-line="29" selection-end-column="34" />
          <folding>
            <element signature="e#0#20#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/jobs_list/JobListState.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="25" column="24" selection-start-line="25" selection-start-column="24" selection-end-line="25" selection-end-column="24" />
          <folding>
            <element signature="e#0#42#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/components/custom_dropdown.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="348">
          <caret line="97" column="23" lean-forward="true" selection-start-line="97" selection-start-column="23" selection-end-line="97" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditProfileScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5040">
          <caret line="336" column="33" selection-start-line="336" selection-start-column="33" selection-end-line="336" selection-end-column="33" />
          <folding>
            <element signature="e#0#39#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/components/LocationPicker.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="186">
          <caret line="224" column="17" selection-start-line="224" selection-start-column="17" selection-end-line="224" selection-end-column="17" />
          <folding>
            <element signature="e#0#20#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/main.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="495">
          <caret line="46" column="31" selection-start-line="46" selection-start-column="31" selection-end-line="46" selection-end-column="31" />
          <folding>
            <element signature="e#0#40#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/account/subeditprofile/SubEditAddressScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="381" column="33" selection-start-line="381" selection-start-column="33" selection-end-line="381" selection-end-column="33" />
          <folding>
            <element signature="e#0#39#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/authentication/bloc.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#34#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/authentication/authentication_event.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret line="1" column="32" lean-forward="true" selection-start-line="1" selection-start-column="32" selection-end-line="1" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/repositories/RWActivityRepository.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="155">
          <caret line="177" column="53" selection-start-line="177" selection-start-column="20" selection-end-line="177" selection-end-column="53" />
          <folding>
            <element signature="e#0#22#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/authentication/authentication_bloc.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="397">
          <caret line="38" column="48" selection-start-line="38" selection-start-column="48" selection-end-line="38" selection-end-column="48" />
          <folding>
            <element signature="e#0#20#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/repositories/AuthProfileRepository.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="387">
          <caret line="128" column="44" lean-forward="true" selection-start-line="128" selection-start-column="44" selection-end-line="128" selection-end-column="44" />
          <folding>
            <element signature="e#0#22#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/home/homeScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="441">
          <caret line="70" column="34" selection-start-line="70" selection-start-column="34" selection-end-line="70" selection-end-column="34" />
          <folding>
            <element signature="e#0#40#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/constants/Navigation.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="10" column="27" lean-forward="true" selection-start-line="10" selection-start-column="27" selection-end-line="10" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/change_password/Bloc.dart">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/change_password/ChangePasswordBloc.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="465">
          <caret line="31" column="30" selection-start-line="31" selection-start-column="30" selection-end-line="31" selection-end-column="30" />
          <folding>
            <element signature="e#0#20#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/configs/Routes.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="37" selection-start-line="37" selection-end-line="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/components/BlockCircleLoading.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" column="21" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/utilities/validations/LoginValidation.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="23" selection-start-line="23" selection-end-line="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/utilities/validations/EditValidation.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="16" column="3" selection-start-line="16" selection-start-column="3" selection-end-line="16" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/constants/Dictionary.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="179" selection-start-line="179" selection-end-line="179" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/environment/Environment.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="80">
          <caret line="17" column="62" selection-start-line="17" selection-start-column="62" selection-end-line="17" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/changePassword/ChangePasswordScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="435">
          <caret line="303" column="5" lean-forward="true" selection-start-line="303" selection-start-column="5" selection-end-line="303" selection-end-column="5" />
          <folding>
            <element signature="e#0#17#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/blocs/authentication/authentication_state.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="14" column="21" selection-start-line="14" selection-start-column="21" selection-end-line="14" selection-end-column="21" />
          <folding>
            <element signature="e#0#42#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/utilities/sharedPreferences/authPreferences.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-677">
          <caret line="3" column="63" selection-start-line="3" selection-start-column="63" selection-end-line="3" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/repositories/userRepository.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="109">
          <caret line="8" column="40" selection-start-line="8" selection-start-column="40" selection-end-line="8" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/rwActivities/RWActivityListScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="49" column="31" selection-start-line="49" selection-start-column="31" selection-end-line="49" selection-end-column="31" />
          <folding>
            <element signature="e#0#20#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/login/loginScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="204">
          <caret line="29" column="9" selection-start-line="29" selection-start-column="9" selection-end-line="29" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/lib/screens/account/ProfileScreen.dart">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="229">
          <caret line="879" column="35" selection-start-line="879" selection-start-column="35" selection-end-line="879" selection-end-column="35" />
          <folding>
            <element signature="e#0#17#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pubspec.yaml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-139">
          <caret line="63" column="20" selection-start-line="63" selection-start-column="20" selection-end-line="63" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pubspec.lock">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-7605" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.flutter-plugins">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.flutter-plugins-dependencies">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.packages">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-20" />
      </provider>
    </entry>
  </component>
</project>